Skip to main content

List Data Errors

Retrieve a paginated list of data errors (issues) detected in datasets. Supports cursor-based pagination using 'before' and 'after' cursors, and allows limiting the number of results returned.

Query Parameters
limit int64

Possible values: 1 ≤ value ≤ 1000000

Limit the number of data errors returned. (1 to 1,000,000, default = 10)

before string

Returns list of data errors before this cursor (for reverse paging).

after string

Returns list of data errors after this cursor (for forward paging).

limit int32

Possible values: 1 ≤ value ≤ 1000000

Limit the number dataError returned. (1 to 1000000, default = 10)

before string

Returns list of dataError before this cursor

after string

Returns list of dataError after this cursor

Responses
200

List of data errors returned successfully.

Schema — OPTIONAL
data object[]
type string — OPTIONAL
topValues object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
id int32 — OPTIONAL
datasetId string — OPTIONAL
colName string — OPTIONAL
colNames string[] — OPTIONAL
lowWatermark int64 — OPTIONAL
highWatermark int64 — OPTIONAL
eventTime int64 — OPTIONAL
errorCode string — OPTIONAL
level string — OPTIONAL

Possible values: [critical, warning, info]

actionTaken string — OPTIONAL

Possible values: [Fixed, Expected, Ack_N_Review, Ignore]

jobId string — OPTIONAL
threadId string — OPTIONAL
jobExecutionId string — OPTIONAL
description string
frequency double — OPTIONAL
paging object — OPTIONAL
before string — OPTIONAL
after string — OPTIONAL
total int32
400

Invalid cursor or pagination parameters.

401

Unauthorized access.

500

Internal server error.